Get Test Call Status

The /sipTestCall/getStatus?sessionId=<ID> URL gets the status of the test call.

URL

/api/v1/sipTestCall/getStatus?sessionId=<ID>

HTTP Method

GET

Request JSON Attributes

None.

HTTP Responses

■ 200 OK if the call was successfully initiated (below JSON body is returned).
■ 404 Not Found if there is no test call with this session ID.
■ 400 Bad Request if the session ID is missing in the request.

If the response is 200, a JSON body is returned with the following attributes:

Attribute

Type

Description

callStatus

Enum

Describes the call status:

■ "Starting": Call was initiated, but not yet connected.
■ "Connected": Call is established.
■ "Disconnected": Call has ended (and statistics included).
■ "Failed,NoResources": Call didn't start due to lack of resources.

callId

String

Call ID (e.g., 17144609144122023162619@10.31.74.49).

releaseCause

Enum

The attribute is included only when callStatus is "Disconnected" or "Failed,NoResources".

It can contain many values according to the specific failure. For example, broken connection, media mismatch, RELEASE_BECAUSE_MANUAL_DISC (call dropped), and RELEASE_BECAUSE_MAX_DURATION_TIMER_EXPIRED (Normal).

localStats

Integer, String, and Float

Displays local call statistics:

■ inPackets: (Integer) Number of incoming packets.
■ outPackets: (Integer) Number of outgoing packets.
■ packLoss: (Integer) Percentage of lost packets.
■ delay: (Integer) Delay (in msec).
■ jitter: (Integer) Jitter (in msec).
■ ssrc: (String) SSRC (in hexadecimal format).
■ rFactor: (Floating number) Rfactor ("127" if unknown, or x.y format for value).
■ mosCQ: (Floating number) MOS ("127" if unknown, or x.y format for value).

remoteStats

Integer, String, and Float

Displays remote statistics:

■ inPackets: (Integer) Number of incoming packets.
■ outPackets: (Integer) Number of outgoing packets.
■ packLoss: (Integer) Percentage of lost packets.
■ delay: (Integer) Delay (in msec).
■ jitter: (Integer) Jitter (in msec).
■ ssrc: (String) SSRC (in hexadecimal format).
■ rFactor: (Floating number) Rfactor ("127" if unknown, or x.y format for value).
■ mosCQ: (Floating number) MOS ("127" if unknown, or x.y format for value).

Example

■ Request:
GET /api/v1/sipTestCall/getStatus?sessionId=577121441 HTTP/1.1
Host: 10.4.219.229
■ Response:
HTTP/1.1 200 OK
Content-Type: application/json
{
  "callStatus": "Connected",
  "callId": "17144609144122023162619@10.31.74.49"
}